GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/nbsd-tdep.h File Reference

Go to the source code of this file.

## Functions
struct link_map_offsets * | nbsd_ilp32_solib_svr4_fetch_link_map_offsets (void)
struct link_map_offsets * | nbsd_lp64_solib_svr4_fetch_link_map_offsets (void)
int | nbsd_pc_in_sigtramp (CORE_ADDR, const char *)

## Function Documentation

## ◆ nbsd_ilp32_solib_svr4_fetch_link_map_offsets()

struct link_map_offsets* nbsd_ilp32_solib_svr4_fetch_link_map_offsets | ( | void |  | ) |

Definition at line 30 of file nbsd-tdep.c.

References svr4_ilp32_fetch_link_map_offsets().

## ◆ nbsd_lp64_solib_svr4_fetch_link_map_offsets()

struct link_map_offsets* nbsd_lp64_solib_svr4_fetch_link_map_offsets | ( | void |  | ) |

Definition at line 36 of file nbsd-tdep.c.

References svr4_lp64_fetch_link_map_offsets().

## ◆ nbsd_pc_in_sigtramp()

int nbsd_pc_in_sigtramp | ( | CORE_ADDR | ,
|  | const char * |
| ) |  |

Definition at line 42 of file nbsd-tdep.c.

References startswith().

Referenced by alphanbsd_pc_in_sigtramp(), amd64nbsd_sigtramp_p(), sparc32nbsd_pc_in_sigtramp(), and sparc64nbsd_pc_in_sigtramp().